Bug 1291540 - [abrt] caja: g_type_check_instance_cast(): caja killed by SIGSEGV
[abrt] caja: g_type_check_instance_cast(): caja killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: caja (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5db0a3eff90899af1fc9ca28daf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 00:46 EST by Davide Repetto
Modified: 2016-02-26 02:22 EST (History)
6 users (show)

See Also:
Fixed In Version: caja-1.12.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 02:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.10 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: cgroup (272 bytes, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: core_backtrace (1.32 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: dso_list (10.31 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: environ (2.29 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: maps (28.72 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: mountinfo (3.78 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: open_fds (1.51 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: proc_pid_status (883 bytes, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
File: var_log_messages (9.86 KB, text/plain)
2015-12-15 00:46 EST, Davide Repetto
no flags Details
relevant dnf history (26.07 KB, text/plain)
2015-12-17 11:17 EST, Davide Repetto
no flags Details

  None (edit)
Description Davide Repetto 2015-12-15 00:46:22 EST
Description of problem:
Caja crashes every single time. At login time mate will keep relaunching and it never stops.
Basically the mate desktop is not usable because of this and all the attempts to launch caja manually with "--sync" or "-n" will yeld the same result.

Version-Release number of selected component:
caja-1.12.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        caja --no-desktop --browser
crash_function: g_type_check_instance_cast
executable:     /usr/bin/caja
global_pid:     22072
kernel:         4.2.6-301.fc23.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_type_check_instance_cast at gtype.c:4064
 #1 caja_extensions_get_for_type at caja-extensions.c:175
 #2 menu_provider_init_callback at caja-application.c:492
 #3 finish_startup at caja-application.c:795
 #4 caja_application_startup at caja-application.c:1074

Potential duplicate: bug 1236326
Comment 1 Davide Repetto 2015-12-15 00:46:31 EST
Created attachment 1105840 [details]
File: backtrace
Comment 2 Davide Repetto 2015-12-15 00:46:32 EST
Created attachment 1105841 [details]
File: cgroup
Comment 3 Davide Repetto 2015-12-15 00:46:34 EST
Created attachment 1105842 [details]
File: core_backtrace
Comment 4 Davide Repetto 2015-12-15 00:46:37 EST
Created attachment 1105843 [details]
File: dso_list
Comment 5 Davide Repetto 2015-12-15 00:46:38 EST
Created attachment 1105844 [details]
File: environ
Comment 6 Davide Repetto 2015-12-15 00:46:40 EST
Created attachment 1105845 [details]
File: exploitable
Comment 7 Davide Repetto 2015-12-15 00:46:42 EST
Created attachment 1105846 [details]
File: limits
Comment 8 Davide Repetto 2015-12-15 00:46:46 EST
Created attachment 1105847 [details]
File: maps
Comment 9 Davide Repetto 2015-12-15 00:46:48 EST
Created attachment 1105848 [details]
File: mountinfo
Comment 10 Davide Repetto 2015-12-15 00:46:50 EST
Created attachment 1105849 [details]
File: namespaces
Comment 11 Davide Repetto 2015-12-15 00:46:52 EST
Created attachment 1105850 [details]
File: open_fds
Comment 12 Davide Repetto 2015-12-15 00:46:54 EST
Created attachment 1105851 [details]
File: proc_pid_status
Comment 13 Davide Repetto 2015-12-15 00:46:56 EST
Created attachment 1105852 [details]
File: var_log_messages
Comment 14 Davide Repetto 2015-12-15 00:48:38 EST
Another user experienced a similar problem:

Caja crashes every single time. At login time mate will keep relaunching caja and it never stops.
Basically the mate desktop is not usable because of this and all the attempts to launch caja manually with "--sync" or "-n" will yeld the same result.

p.s. This is a 32bit machine.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        caja
crash_function: g_type_check_instance_cast
executable:     /usr/bin/caja
global_pid:     2739
kernel:         4.2.6-301.fc23.i686+PAE
package:        caja-1.12.1-1.fc23
reason:         caja killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 15 Davide Repetto 2015-12-15 01:20:25 EST
dic 15 07:05:54 cp-main.localdomain caja[16465]: [N-A] Caja-Actions Menu Extender 1.8.1 initializing...
dic 15 07:05:54 cp-main.localdomain caja[16465]: [N-A] Caja-Actions Tracker 1.8.1 initializing...
dic 15 07:05:55 cp-main.localdomain kernel: caja[16465]: segfault at 140b88 ip b6bc7051 sp bfe56f40 error 4 in libgobject-2.0.so.0.4600.2[b6b93000+52000]

I found these lines in the journal after launching caja. It seems that the crash it is somehow related to glib2
Comment 16 Davide Repetto 2015-12-15 01:27:03 EST
I forgot to mention that it was working until yesterday and that the second report was done from "brand new" user created just for this test.

For anyone that may encounter this bug, as a workaround you can temporarily use nemo instead of caja.
Editing /usr/share/applications/caja.desktop and replacing the executable name with "nemo", will get you running while you wait for a fix.
Comment 17 Wolfgang Ulbrich 2015-12-15 06:24:04 EST
(In reply to Davide Repetto from comment #16)
> I forgot to mention that it was working until yesterday and that the second
> report was done from "brand new" user created just for this test.
And what was changed in your system since yesterday?
Comment 18 Wolfgang Ulbrich 2015-12-15 13:51:16 EST
Did you apply an update or what is changed on your box?
Comment 19 Davide Repetto 2015-12-17 10:55:43 EST
First I will add this, which is strange - Caja will run properly if run through valgrind.

VIDEO:
======
https://dl.dropboxusercontent.com/u/6803261/caja-segfault.ogv


[davideprova@cp-main ~]$ 
[davideprova@cp-main ~]$ caja
Initializing caja-dropbox 1.12.0
Initializing caja-image-converter extension
Initializing caja-open-terminal extension
Errore di segmentazione (core dump creato)

^^^^^^^^^^^^^^^
Caja run normally will give a segmentation fault.

Whereas run through valgrind...

[davideprova@cp-main ~]$ valgrind caja
==14721== Memcheck, a memory error detector
==14721== Copyright (C) 2002-2015, and GNU GPL'd, by Julian Seward et al.
==14721== Using Valgrind-3.11.0 and LibVEX; rerun with -h for copyright info
==14721== Command: caja
==14721== 
Initializing caja-dropbox 1.12.0
Initializing caja-image-converter extension
Initializing caja-open-terminal extension
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x1488EC: caja_application_startup (in /usr/bin/caja)
==14721==    by 0x14511F: main (in /usr/bin/caja)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x1488EC: caja_application_startup (in /usr/bin/caja)
==14721==    by 0x14511F: main (in /usr/bin/caja)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x20BA74: caja_file_invalidate_extension_info_internal (in /usr/bin/caja)
==14721==    by 0x20BAC8: ??? (in /usr/bin/caja)
==14721==    by 0x53CBADA: g_type_create_instance (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53AB19F: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x204F60: ??? (in /usr/bin/caja)
==14721==    by 0x53AC024: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53AD2C7: g_object_newv (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53ADB3F: g_object_new (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1E1362: caja_desktop_icon_file_new (in /usr/bin/caja)
==14721==    by 0x1E2AF4: caja_desktop_link_new (in /usr/bin/caja)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x20BA74: caja_file_invalidate_extension_info_internal (in /usr/bin/caja)
==14721==    by 0x20BAC8: ??? (in /usr/bin/caja)
==14721==    by 0x53CBADA: g_type_create_instance (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53AB19F: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x204F60: ??? (in /usr/bin/caja)
==14721==    by 0x53AC024: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53AD2C7: g_object_newv (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53ADB3F: g_object_new (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1E1362: caja_desktop_icon_file_new (in /usr/bin/caja)
==14721==    by 0x1E2AF4: caja_desktop_link_new (in /usr/bin/caja)
==14721==    by 0x1E15CA: ??? (in /usr/bin/caja)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x188DB5: caja_window_load_extension_menus (in /usr/bin/caja)
==14721==    by 0x186388: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x188DB5: caja_window_load_extension_menus (in /usr/bin/caja)
==14721==    by 0x186388: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x185F6F: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x185F6F: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x14514B: main (in /usr/bin/caja)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x18B3EB: caja_navigation_window_load_extension_toolbar_items (in /usr/bin/caja)
==14721==    by 0x18608B: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x18B3EB: caja_navigation_window_load_extension_toolbar_items (in /usr/bin/caja)
==14721==    by 0x18608B: caja_window_report_load_underway (in /usr/bin/caja)
==14721==    by 0x243264: caja_window_info_report_load_underway (in /usr/bin/caja)
==14721==    by 0x1A06E6: ??? (in /usr/bin/caja)
==14721==    by 0x1E47BC: ??? (in /usr/bin/caja)
==14721==    by 0x1EACAF: ??? (in /usr/bin/caja)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x53CD039: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x1F3166: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x198775: ??? (in /usr/bin/caja)
==14721==    by 0x1A9274: ??? (in /usr/bin/caja)
==14721==    by 0x1B29DD: ??? (in /usr/bin/caja)
==14721==    by 0x19E840: fm_directory_view_update_menus (in /usr/bin/caja)
==14721==    by 0x19E901: ??? (in /usr/bin/caja)
==14721==    by 0x5437C51: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721== 
==14721== Conditional jump or move depends on uninitialised value(s)
==14721==    at 0x1F3169: caja_extensions_get_for_type (in /usr/bin/caja)
==14721==    by 0x198775: ??? (in /usr/bin/caja)
==14721==    by 0x1A9274: ??? (in /usr/bin/caja)
==14721==    by 0x1B29DD: ??? (in /usr/bin/caja)
==14721==    by 0x19E840: fm_directory_view_update_menus (in /usr/bin/caja)
==14721==    by 0x19E901: ??? (in /usr/bin/caja)
==14721==    by 0x5437C51: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x14514B: main (in /usr/bin/caja)
==14721== 
==14721== Invalid read of size 4
==14721==    at 0x53B6B6D: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x5424FB5: g_hash_table_lookup (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x53B6EE5: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53B83DA: g_signal_handler_disconnect (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x17E30D: ??? (in /usr/bin/caja)
==14721==    by 0x17ED36: ??? (in /usr/bin/caja)
==14721==    by 0x53AB0D1: g_object_unref (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53ACE0A: g_object_run_dispose (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x4C00F19: gtk_object_destroy (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x4AF215A: ??? (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x4B33C86: gtk_container_foreach (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x4B34D6D: ??? (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==  Address 0xb8bbe30 is 0 bytes inside a block of size 36 free'd
==14721==    at 0x482B2C9: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==14721==    by 0x543CBF0: g_free (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5455B89: g_slice_free1 (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x53B81A6: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53A5EDF: g_closure_invalidate (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53AA8C6: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x5418F50: g_datalist_id_set_data_full (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x53AA741: ??? (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x4C00353: ??? (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x4D2A655: ??? (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x53ACDFF: g_object_run_dispose (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x4C00F19: gtk_object_destroy (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==  Block was alloc'd at
==14721==    at 0x482A20D: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==14721==    by 0x543CA8F: g_malloc (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54553F8: g_slice_alloc (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x53BFAB3: g_signal_connect_closure (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x53B0466: g_signal_connect_object (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721==    by 0x17F332: caja_sidebar_title_set_file (in /usr/bin/caja)
==14721==    by 0x15B2A7: ??? (in /usr/bin/caja)
==14721==    by 0x15B4C4: ??? (in /usr/bin/caja)
==14721==    by 0x23BBF5: caja_sidebar_provider_create (in /usr/bin/caja)
==14721==    by 0x162D81: ??? (in /usr/bin/caja)
==14721==    by 0x163C9D: ??? (in /usr/bin/caja)
==14721==    by 0x53A8229: g_cclosure_marshal_VOID__VOIDv (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721== 
==14721== Invalid read of size 4
==14721==    at 0x48C756B: ??? (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x14514B: main (in /usr/bin/caja)
==14721==  Address 0x67d06bc is 4 bytes inside a block of size 12 free'd
==14721==    at 0x482B2C9: free (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==14721==    by 0x543CBF0: g_free (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5455B89: g_slice_free1 (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5432BD7: g_list_delete_link (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x48C756A: ??? (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x5433880: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54370C2: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54374A4: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x14514B: main (in /usr/bin/caja)
==14721==  Block was alloc'd at
==14721==    at 0x482A20D: malloc (in /usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==14721==    by 0x543CA8F: g_malloc (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54553F8: g_slice_alloc (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x54327E0: g_list_prepend (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x48C779F: ??? (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x48C8447: ??? (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x48C86F1: ??? (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x48CA1C9: mate_bg_draw (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x48CA44F: mate_bg_create_pixmap (in /usr/lib/libmate-desktop-2.so.17.1.4)
==14721==    by 0x24DAE8: ??? (in /usr/bin/caja)
==14721==    by 0x24DCE6: ??? (in /usr/bin/caja)
==14721==    by 0x53A81D2: g_cclosure_marshal_VOID__VOID (in /usr/lib/libgobject-2.0.so.0.4600.2)
==14721== 
==14721== 
==14721== Process terminating with default action of signal 1 (SIGHUP)
==14721==    at 0x5A4BDDB: ??? (in /usr/lib/libc-2.22.so)
==14721==    by 0x5446A8B: g_poll (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437427: ??? (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x5437830: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.4600.2)
==14721==    by 0x4BCC53F: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.2400.29)
==14721==    by 0x14514B: main (in /usr/bin/caja)
==14721== 
==14721== HEAP SUMMARY:
==14721==     in use at exit: 4,509,650 bytes in 71,310 blocks
==14721==   total heap usage: 707,397 allocs, 636,087 frees, 108,348,499 bytes allocated
==14721== 
==14721== LEAK SUMMARY:
==14721==    definitely lost: 19,363 bytes in 263 blocks
==14721==    indirectly lost: 104,713 bytes in 3,737 blocks
==14721==      possibly lost: 22,808 bytes in 736 blocks
==14721==    still reachable: 3,880,342 bytes in 61,937 blocks
==14721==                       of which reachable via heuristic:
==14721==                         newarray           : 9,679 bytes in 331 blocks
==14721==         suppressed: 0 bytes in 0 blocks
==14721== Rerun with --leak-check=full to see details of leaked memory
==14721== 
==14721== For counts of detected and suppressed errors, rerun with: -v
==14721== Use --track-origins=yes to see where uninitialised values come from
==14721== ERROR SUMMARY: 320 errors from 14 contexts (suppressed: 0 from 0)
Ucciso

^^^^^
There I killed it with kill -HUP

[davideprova@cp-main ~]$ caja
Initializing caja-dropbox 1.12.0
Initializing caja-image-converter extension
Initializing caja-open-terminal extension
Errore di segmentazione (core dump creato)

^^^^^
Here another try without valgrind



I will follow up shortly with a list of recent changes on that computer.
Comment 20 Davide Repetto 2015-12-17 11:17 EST
Created attachment 1106764 [details]
relevant dnf history

dnf history info 144 145 146 147 > dnf-history.txt
Comment 21 Davide Repetto 2015-12-17 11:19:47 EST
This is the relevant History of updates:
========================================

Last metadata expiration check performed 2:26:41 ago on Thu Dec 17 14:30:25 2015.
ID     | Linea di comando         | Data e | Azione | Modifi
-------------------------------------------------------------------------------
   162 |                          | 2015-12-17 16:14 | Install        |    1   
   161 |                          | 2015-12-17 12:09 | Update         |    1 EE
   160 |                          | 2015-12-17 11:50 | Update         |   73  <
   159 |                          | 2015-12-17 11:02 | I, U           |   71 ><
   158 |                          | 2015-12-15 07:55 | Update         |    1 > 
   157 |                          | 2015-12-15 07:20 | Downgrade      |    1   
   156 |                          | 2015-12-15 07:13 | Reinstall      |    1   
   155 |                          | 2015-12-15 04:57 | Install        |    5   
   154 |                          | 2015-12-15 01:44 | Reinstall      |    6 EE
   153 |                          | 2015-12-15 01:20 | Reinstall      |    8 EE
   152 |                          | 2015-12-15 01:05 | Update         |    3   
   151 |                          | 2015-12-15 01:03 | Downgrade      |    3   
   150 |                          | 2015-12-15 00:24 | Install        |    4   
   149 |                          | 2015-12-15 00:16 | Erase          |    4   
   148 |                          | 2015-12-14 23:37 | Erase          |    1   
   147 |                          | 2015-12-14 22:40 | I, U           |   74 EE
   146 |                          | 2015-12-12 03:45 | Update         |   33   
   145 |                          | 2015-12-12 02:31 | Update         |   30 EE
   144 |                          | 2015-12-08 21:34 | Update         |   21   


I also attach the full listing of the updates immediately before the problem arisen:
https://bugzilla.redhat.com/attachment.cgi?id=1106764

The following dnf operations where attempts to remove all caja plugins and to downgrade or reinstall caja itself.
Comment 22 Wolfgang Ulbrich 2015-12-17 12:51:14 EST
(In reply to Davide Repetto from comment #21)
> The following dnf operations where attempts to remove all caja plugins and
> to downgrade or reinstall caja itself.
I guess you tried to downgrade atril, atril-caja and atril-thumbnailer too?
Maybe try to remove atril-caja and atril-thumbnailer if not already done by you.
All other mate packages in this update are unrelated to caja.
What i see in dnf history is a gtk2 update.

Aggiornato gtk2-2.24.28-2.fc23.i686                              @fedora
    Upgrade         2.24.29-1.fc23.i686                          @updates
    Aggiornato gtk2-immodule-xim-2.24.28-2.fc23.i686             @fedora
    Upgrade                      2.24.29-1.fc23.i686

Can you try to downgrade those packages?

Did you get an selinux alarm?
Selinux was also updated.

For better understanding, the video shows a x2go session?
Unfortunately, backtrace isn't very helpful, only that the command was
`caja --no-desktop --browser', which shows that the backtrace isn't from session start, maybe from starting caja from menu?

Is those setting set to false?
[rave@mother ~]$ gsettings get org.mate.Marco.general disable-workarounds
false
Comment 23 Wolfgang Ulbrich 2015-12-19 07:11:01 EST
Btw. cana you please check if this dir is accessible for normal account?
[rave@mother ~]$ sudo ls -la /var/run/user/1000/dconf/
insgesamt 4
drwx------ 2 rave rave  60 19. Dez 13:08 .
drwx------ 6 rave rave 120 19. Dez 12:26 ..
-rw------- 1 rave rave   2 19. Dez 13:08 user

rave is my normal user.
Comment 24 Gianluca Cecchi 2016-01-11 06:30:10 EST
Hello,
I see the same on an Intel NUC system I installed for a frined of mine. 
The installation flow was install F23 with LXDE environment + updates (about end of 2015).
Yesterday I tried to side install also Mate group to give a better graphic environment, but right at first login for an existing user I receive infinite loop of panel icons trying to start caja.
Also tried to create a complete new user and then connect for the first time with Mate and I get the same.
I can log out from Mate and log in with lxde again with the same user: the first time I receive a python 3 error, then I log out again and log in LXDE again and it works without any error.

I tried removing atril-caja and atril-thumbnailer without any effect.
Also, permissions described in comment#23 are ok.
Let me know what to do as other debug step.

BTW: I have my own working laptop where mate is my main graphical environment and I have no problems with it (I have no lxde installed on it): this system was in F21 and then upgraded some days ago to F23. It has the same version of caja: caja-1.12.2-2.fc23.x86_64
Both the working and not working one are x86_64
Thanks,
Gianluca
Comment 25 marc skinner 2016-01-16 19:36:52 EST
I'm having the same issue.

I'm using the 64bit installation.

I first installed F20, then upgraded to F22. At the time only KDE was installed.  I then upgraded to F23 with the dnf upgrade plugin.  KDE was crashing so I installed Mate via the 3 groupinstalls with the MATE keyword. 

I'm seeing the same behavior, I'm on F23.latest as of today running kernel:

4.3.3-300.fc23.x86_64 #1 SMP Tue Jan 5 23:31:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

I'm running the binary NVIDIA drivers:

NVIDIA-Linux-x86_64-358.16.run




[ 1591.033787] show_signal_msg: 31 callbacks suppressed
[ 1591.033791] caja[5955]: segfault at 1 ip 00007f29830fc174 sp 00007fff8a022730 error 4 in libgobject-2.0.so.0.4600.2[7f29830c8000+50000]
[ 1591.157807] caja[5963]: segfault at 1 ip 00007fddfe15b174 sp 00007ffcad8058b0 error 4 in libgobject-2.0.so.0.4600.2[7fddfe127000+50000]
[ 1591.287536] caja[5971]: segfault at 1 ip 00007fb48a20f174 sp 00007fffeb4e1690 error 4 in libgobject-2.0.so.0.4600.2[7fb48a1db000+50000]
[ 1591.413382] caja[5979]: segfault at 1 ip 00007f3a86647174 sp 00007ffcce6ea750 error 4 in libgobject-2.0.so.0.4600.2[7f3a86613000+50000]
[ 1591.542272] caja[5987]: segfault at 1 ip 00007fcda59db174 sp 00007ffd42973da0 error 4 in libgobject-2.0.so.0.4600.2[7fcda59a7000+50000]
[ 1591.666887] caja[5995]: segfault at 1 ip 00007f22a6142174 sp 00007fffcc1b2100 error 4 in libgobject-2.0.so.0.4600.2[7f22a610e000+50000]
[ 1591.789153] caja[6003]: segfault at 1 ip 00007f4b2c0e1174 sp 00007ffcba4afba0 error 4 in libgobject-2.0.so.0.4600.2[7f4b2c0ad000+50000]
[ 1591.909910] caja[6011]: segfault at 1 ip 00007f19854dd174 sp 00007ffd1fa10100 error 4 in libgobject-2.0.so.0.4600.2[7f19854a9000+50000]
[ 1592.034553] caja[6019]: segfault at 1 ip 00007fefede4e174 sp 00007fff03a7a440 error 4 in libgobject-2.0.so.0.4600.2[7fefede1a000+50000]
[ 1592.160958] caja[6027]: segfault at 1 ip 00007f098f2cd174 sp 00007ffd2c289400 error 4 in libgobject-2.0.so.0.4600.2[7f098f299000+50000]

I will try the workaround with nemo.
Comment 26 Wolfgang Ulbrich 2016-01-30 12:45:52 EST
Is python-caja installed?
See my comment at https://github.com/mate-desktop/caja/issues/407#issuecomment-177257398
Please try to uninstall the package if it is installed and give if feedback about.
Comment 27 Wolfgang Ulbrich 2016-02-04 12:53:26 EST
Anyone interested in a fix?
Upstream have a question, please provide
1. ls -l /usr/share/caja-python/extensions
2. ls -l /usr/lib64/caja/extensions-2.0 (dir is different for i686 systems)
Comment 28 Gianluca Cecchi 2016-02-04 17:58:21 EST
The system where I'm experimenting the issue is of a friend of mine and I should be at his home on Saturday and I'm going to test and give then feedback
Comment 29 Fedora Update System 2016-02-07 17:56:30 EST
caja-1.12.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aceba7139e
Comment 30 Fedora Update System 2016-02-07 23:19:42 EST
caja-1.12.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aceba7139e
Comment 31 Fedora Update System 2016-02-16 22:51:40 EST
caja-1.12.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 32 marc skinner 2016-02-18 18:25:36 EST
I can confirm caja is working for me know on Fedora 23.  I just updated and restarted this afternoon.

Thanks!


Currently running caja versions:

rpm -qa | grep caja
caja-actions-1.8.1-1.fc23.x86_64
caja-1.12.2-3.fc23.x86_64
caja-beesu-1.12.0-1.fc23.x86_64
caja-actions-doc-1.8.1-1.fc23.noarch
caja-extensions-common-1.12.0-1.fc23.noarch
caja-sendto-1.12.0-1.fc23.x86_64
caja-open-terminal-1.12.0-1.fc23.x86_64
caja-beesu-manager-1.8-26.fc23.noarch
python-caja-1.12.0-1.fc23.x86_64
caja-extensions-1.12.2-3.fc23.x86_64
caja-image-converter-1.12.0-1.fc23.x86_64
atril-caja-1.12.2-1.fc23.x86_64
caja-schemas-1.12.2-3.fc23.x86_64
caja-wallpaper-1.12.0-1.fc23.x86_64
caja-share-1.12.0-1.fc23.x86_64
Comment 33 Fedora Update System 2016-02-19 05:56:27 EST
caja-1.12.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e37ff973b
Comment 34 Fedora Update System 2016-02-21 12:59:20 EST
caja-1.12.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3e37ff973b
Comment 35 Fedora Update System 2016-02-26 02:22:14 EST
caja-1.12.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.